Languages

About Security Update 2010-006

This document describes Security Update 2010-006, which can be downloaded and installed via Software Update preferences, or from Apple Downloads.

This document describes Security Update 2010-006, which can be downloaded and installed via Software Update preferences, or from Apple Downloads.

For the protection of our customers, Apple does not disclose, discuss, or confirm security issues until a full investigation has occurred and any necessary patches or releases are available. To learn more about Apple Product Security, see the Apple Product Security website.

For information about the Apple Product Security PGP Key, see "How to use the Apple Product Security PGP Key."

Where possible, CVE IDs are used to reference the vulnerabilities for further information.

To learn about other Security Updates, see "Apple Security Updates".

Security Update 2010-006

  • AFP

    CVE-ID: CVE-2010-1820

    Available for: Mac OS X v10.6.4, Mac OS X Server v10.6.4

    Impact: A remote attacker may access AFP shared folders without a valid password

    Description: An error handling issue exists in AFP Server. A remote attacker with knowledge of an account name on a target system may bypass the password validation and access AFP shared folders. By default, File Sharing is not enabled. This issue does not affect systems prior to Mac OS X v10.6. Credit to Pike School in Massachusetts for reporting this issue.

Important: Information about products not manufactured by Apple is provided for information purposes only and does not constitute Apple’s recommendation or endorsement. Please contact the vendor for additional information.
Last Modified: May 29, 2012
Helpful?
Yes
No
Not helpful Somewhat helpful Helpful Very helpful Solved my problem
Print this page
  • Last Modified: May 29, 2012
  • Article: HT4361
  • Views:

    162681
  • Rating:
    • 67.0

    (722 Responses)
Start a Discussion
in Apple Support Communities
See all questions on this article See all questions I have asked